# ORCA NO2 doublet unrestricted DFT (BLYP) optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
orca = ORCA(frag=no2, method="dft", basis="3-21g", scftype="uhf", mult=2, threshold=1.0E-8)

opt = Opt(theory=orca,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=tightscf from Tcl-ChemShell
#eref = -203.907940297032
# ORCA 5.0.3 
eref = -203.90794196

testutils.validate(ecalc, eref)
